読者です 読者をやめる 読者になる 読者になる

フニゲの開発日記

Electronとか...

Chrome31でcocos2d-html5が動かなくなる問題

cocos2d-html5


Google Chrome v31 breaks cocos2d-html5

 古いバージョンを使って書いたゲームは自分で直さないといけないのか。
 Cocos2d-html5-v2.2.min.jsを使っている場合だと、検索で「precision mediump float」って書いてあるところを探して「precision highp float」に置換すればいい。何も考えずにv2.2.1のmin.jsで上書きしたほうが早いかな。

 ついでにWindowsIEとかFireFoxでどう見えるのか確認しようとしたら、ぜんぜん動かないサンプルが結構あったので、これも何とかしようと思う。まあChromeで動けばいいと個人的には思うんだけど。

広告を非表示にする